Bug 185923 - [PATCH] devel/libgdata: disable g-ir-scanner cache, support staging
Summary: [PATCH] devel/libgdata: disable g-ir-scanner cache, support staging
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Koop Mast
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-20 14:10 UTC by Dmitry Marakasov
Modified: 2014-02-16 15:10 UTC (History)
1 user (show)

See Also:


Attachments
libgdata-0.6.6_1.patch (841 bytes, patch)
2014-01-20 14:10 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2014-01-20 14:10:06 UTC
- Disable g-ir-scanner cache to not pollute /root/.cache on build
- Support staging
- Use new LIB_DEPENDS syntax
- Convert USE_GMAKE to USES

Port maintainer (kwm@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_11 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-01-20 14:10:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->kwm

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Dmitry Marakasov 2014-01-28 13:10:07 UTC
* Dmitry Marakasov (amdmi3@amdmi3.ru) wrote:

Updated patch, which makes use of USE_GNOME=introspection to take
care of environement for g-ir-scanner automatically.

--- libgdata.patch begins here ---
Index: Makefile
===================================================================
--- Makefile	(revision 341492)
+++ Makefile	(working copy)
@@ -11,18 +11,15 @@
 MAINTAINER=	kwm@FreeBSD.org
 COMMENT=	GLib based implementation of the GData protocol
 
-BUILD_DEPENDS=	g-ir-scanner:${PORTSDIR}/devel/gobject-introspection
-LIB_DEPENDS=	soup-gnome-2.4.1:${PORTSDIR}/devel/libsoup-gnome
+LIB_DEPENDS=	libsoup-gnome-2.4.so:${PORTSDIR}/devel/libsoup-gnome
 
 USE_BZIP2=	yes
 USE_LDCONFIG=	yes
-USES=		gettext pkgconfig
-USE_GMAKE=	yes
+USES=		gettext pkgconfig gmake
 USE_AUTOTOOLS=	libtool
-USE_GNOME=	gnomehack intltool ltverhack glib20
-CPPFLAGS+=	-I${LOCALBASE}/include 
+USE_GNOME=	gnomehack intltool ltverhack glib20 introspection:build
+CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 CONFIGURE_ARGS+=--with-html-dir="${PREFIX}/share/doc"
 
-NO_STAGE=	yes
 .include <bsd.port.mk>
--- libgdata.patch ends here ---

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 3 dfilter service freebsd_committer 2014-02-16 15:00:54 UTC
Author: kwm
Date: Sun Feb 16 15:00:46 2014
New Revision: 344580
URL: http://svnweb.freebsd.org/changeset/ports/344580
QAT: https://qat.redports.org/buildarchive/r344580/

Log:
  Clean up.
  
  Use new LIB_DEPENDS syntax, stagify, put gmake into USES, strip libraries.
  Replace ltverhack with USES=libtool.
  
  PR:		ports/185923
  Submitted by: 	Dmitry Marakasov <amdmi3@amdmi3.ru>

Modified:
  head/devel/libgdata/Makefile
  head/devel/libgdata/pkg-plist

Modified: head/devel/libgdata/Makefile
==============================================================================
--- head/devel/libgdata/Makefile	Sun Feb 16 14:58:22 2014	(r344579)
+++ head/devel/libgdata/Makefile	Sun Feb 16 15:00:46 2014	(r344580)
@@ -11,18 +11,16 @@ MASTER_SITES=	GNOME
 MAINTAINER=	kwm@FreeBSD.org
 COMMENT=	GLib based implementation of the GData protocol
 
-BUILD_DEPENDS=	g-ir-scanner:${PORTSDIR}/devel/gobject-introspection
-LIB_DEPENDS=	soup-gnome-2.4.1:${PORTSDIR}/devel/libsoup-gnome
+LIB_DEPENDS=	libsoup-gnome-2.4.so:${PORTSDIR}/devel/libsoup-gnome
 
 USE_BZIP2=	yes
 USE_LDCONFIG=	yes
-USES=		gettext pkgconfig
-USE_GMAKE=	yes
-USE_AUTOTOOLS=	libtool
-USE_GNOME=	gnomehack intltool ltverhack glib20
+USES=		gettext gmake libtool pathfix pkgconfig
+GNU_CONFIGURE=	yes
+USE_GNOME=	glib20 intltool introspection:build
 CPPFLAGS+=	-I${LOCALBASE}/include 
 LDFLAGS+=	-L${LOCALBASE}/lib
+INSTALL_TARGET=	install-strip
 CONFIGURE_ARGS+=--with-html-dir="${PREFIX}/share/doc"
 
-NO_STAGE=	yes
 .include <bsd.port.mk>

Modified: head/devel/libgdata/pkg-plist
==============================================================================
--- head/devel/libgdata/pkg-plist	Sun Feb 16 14:58:22 2014	(r344579)
+++ head/devel/libgdata/pkg-plist	Sun Feb 16 15:00:46 2014	(r344580)
@@ -65,6 +65,7 @@ lib/libgdata.a
 lib/libgdata.la
 lib/libgdata.so
 lib/libgdata.so.7
+lib/libgdata.so.7.2.2
 libdata/pkgconfig/libgdata.pc
 share/doc/gdata/GDataAccessHandler.html
 share/doc/gdata/GDataAccessRule.html
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Koop Mast freebsd_committer 2014-02-16 15:01:02 UTC
State Changed
From-To: open->closed

Committed thanks.